net.sf.jasperreports.components.list

## Interface ListContents

- All Superinterfaces:
    java.lang.Cloneable, JRChild, JRCloneable, JRElementGroup, JRVisitable
  All Known Implementing Classes:
    BaseListContents, DesignListContents

      public interface ListContents
      extends JRElementGroup

  Container of report elements that are to be printed for each record in the list subdataset.
  Version:
    $Id: ListContents.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `ListComponent.getContents()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()` Returns the height of the list contents.
    `java.lang.Integer` | `getWidth()` Returns the width of the list contents.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup

      `getChildren, getElementByKey, getElementGroup, getElements`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getHeight

          int getHeight()

      Returns the height of the list contents.

      This value is used as a minimum list item height: if the space left on the page is smaller than the height, then an overflow is triggered and the list item is printed on a new page/column.

      Returns:
        the height of the list contents

    - #### getWidth

          java.lang.Integer getWidth()

      Returns the width of the list contents.

      When the list is filled horizontally, several list cells will be placed on the same row one next to another within the width of the list element (unless the list element width is ignored). The width of the list contents will determine how many cells can be placed on a row.

      Returns:
        the width of the list contents
      See Also:
        `ListComponent.getPrintOrderValue()`, `ListComponent.getIgnoreWidth()`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com